// circulo.cpp - Definición de los métodos de la clase Círculo
#include <iostream>
#include "circulo.h"
using namespace std;

void Circulo::msgEsNegativo() const
{
  cout << "El radio es negativo. Se convierte a positivo\n";
}

Circulo::Circulo(double cx, double cy, double r) : centro(cx, cy)
{
  if (r < 0)
  {
    msgEsNegativo();
    r = -r;
  }
  radio = r;
}

double Circulo::longCircunferencia() const
{
  return 2 * 3.1415926 * radio;
}

double Circulo::areaCirculo() const
{
  return 3.1415926 * radio * radio;
}

void Circulo::coordenadasCentro(double& x, double& y) const
{
  x = centro.X();
  y = centro.Y();
}

